<?php

    /***************************************************************\
    |                                                               |
    |   开单大师 - 专业的房产ERP管理                                  |
    |                                                               |
    |   © 2019 http://www.kaidandashi.com All rights reserved.      |
    |                                                               |
    |   开单大师由淮南市银泰软件科技有限公司提供技术                    |
    |                                                               |
    |   QQ:984784483                                                |
    |                                                               |
    \***************************************************************/

    namespace Admin\Controller;
    use Think\Controller;
    class YaoshiController extends CommonController {
        public function index(){
            if (I('is_ajax')) {
                $startUnix = strtotime(I('datetime1'));
                $endUnix = strtotime(I('datetime2'))+86399; 
                $p = I('pageSize');
                $sn = I('sortName');
                $so = I('sortOrder');
                $sousuo=" where a.id>0";
                if (I('datetime1') and I('datetime2')) {
                    $sousuo.=" and addtime >= '".$startUnix."' and addtime<'".$endUnix."'";
                }elseif (I('datetime1')) {
                    $sousuo.=" and addtime >= '".$startUnix."'";
                }elseif (I('datetime2')) {
                    $sousuo.=" and addtime<'".$endUnix."'";
                }
                /*权限控制开始*/
                $map = "gongsiid=".session('gongsiid');
                $x = _rbac_lists_where(747,0);
                if ($x && $x != "all" && $x != "me") {
                    $map .= " and bumen in ({$x})";
                }elseif ($x == "me") {
                    $map .= " and id=".session('uid');
                }elseif ($x == false) {
                    $map .= " and id=0";
                }
                /*权限控制结束*/
                $Model = new \Think\Model();
                $sqlcount = "select count(*) FROM  __YAOSHI__ as a join (select * from __YONGHU__ where $map) as b on a.ys_uid=b.id left join __FANGYUAN__ as c on a.fybianhao=c.bianhao".$sousuo;
                $countb=$Model->query($sqlcount);
                $count=$countb[0]['count(*)'];
                $Page = new \Think\Page($count,$p); //实例化分页类 传入总记录数和每页显示的记录数(15)
                $show = $Page->show();  //分页显示输出    
                $sql="select a.*,b.ygmingcheng as ys_uid,c.ygmingcheng as adduid,d.q_bumen,e.weihurenid,e.zhuangtai FROM __YAOSHI__ as a inner join (select * from __YONGHU__ where $map) as b on a.ys_uid=b.id left join __YONGHU__ as c on a.adduid=c.id left join (select ys_id,q_bumen FROM __YAOSHI_LOG__ order by q_time DESC limit 1) as d on a.id=d.ys_id left join __FANGYUAN__ as e on a.fybianhao=e.bianhao ".$sousuo." order by id DESC limit ".$Page->firstRow.','.$Page->listRows;
                $arr = $Model->query($sql);
                foreach ($arr as $key => $value) {
                    $arr[$key]['addtime'] = date('Y-m-d H:i',$value['addtime']);
                    $arr[$key]['status'] = $value['status'] ? '有效' : '待审核';
                    $arr[$key]['ys_bumen'] = zym($value['ys_bumen'],5);
                    $arr[$key]['ys_time'] = date('Y-m-d',$value['ys_time']);
                    $arr[$key]['ys_menjin'] = $value['ys_menjin'] ? '是' : '否';
                    $arr[$key]['xz_bumen'] = $value['q_bumen'] ? zym($value['q_bumen'],5) : zym($value['ys_bumen'],5);
                    $arr[$key]['read'] = _rbac_btn_show(748,0,$value['ys_uid']) ? '1' : '0';
                    $arr[$key]['edit'] = _rbac_btn_show(749,0,$value['ys_uid']) ? '1' : '0';
                    $arr[$key]['del'] = _rbac_btn_show(752,0,$value['ys_uid']) ? '1' : '0';
                    $arr[$key]['fyxq'] = _rbac_btn_show(46,$value['zhuangtai'],$value['weihurenid']) ? '1' : '0';
                }
                $data=array('data'=>$arr,'total'=>$count);
                header("Content-type: application/json");
                exit(json_encode($data));
            }else{
                $this->display();
            }  
        }
        public function edityaoshi(){
            $id = I('id',0,'int');
            $uid = M('yaoshi')->where(array('id'=>$id))->getField('ys_uid');
            $is_rbac = _rbac_btn_show(749,0,$uid);
            if (!$is_rbac) {
                $this->error('异常错误！');
            }
            if (IS_POST) {
                $ystps=M('photos')->where(array('data_table'=>'yaoshi','data_id'=>$id))->count();
                $file_arr = I('file_path');
                if (count($file_arr) > (6-$ystps)) {
                    $this->error('最多上传6张！');
                }
                $data['ys_time'] = strtotime(I('ys_time'));
                $ys_uid = M('yonghu')->where(array('ygmingcheng'=>I('ys_user')))->getField('id');

                if (!$ys_uid) {
                    $this->error('查找不到该用户！');
                }
                $data['ys_uid'] = $ys_uid;
                $data['ys_bumen'] = I('ys_bumen');
                $data['ys_bianhao'] = I('ys_bianhao');
                $data['ys_weizhihao'] = I('ys_weizhihao');
                if (I('ys_menjin')) {
                    $data['ys_menjin'] = 1;
                }
                $data['beizhu'] = I('beizhu');
                $isok = M('yaoshi')->where(array('id'=>$id))->save($data);
                if ($isok) {
                    foreach ($file_arr as $value) {
                        $file_img_arr[] = array(
                            'data_id' => $id,
                            'img_path' => $value,
                            'addtime' => time(),
                            'adduid' => session('uid'),
                            'gongsiid' => session('gongsiid'),
                            'data_table' => 'yaoshi'
                        );
                    }
                    M('photos')->addAll($file_img_arr);
                    
                    $this->success('保存成功!');
                } else {
                    $this->error('保存失败!');
                }
            }else{
                $yaoshi = M('yaoshi')->where(array('id'=>$id))->find();
                $yaoshi['ys_user'] = M('yonghu')->where(array('id'=>$yaoshi['ys_uid']))->getField('ygmingcheng');
                $parentid = $yaoshi['ys_bumen'];
                $select_categorys = bumen_option( $parentid, 739);
                $this->assign("select_categorys", $select_categorys);
                $this->assign("yaoshi", $yaoshi);
                $this->ygmingcheng=M('Yonghu')->where("gongsiid = ".session('gongsiid')." and lock1 = 0 and status = 1 and bumen=".$parentid)->select();
                $this->display();
            }
        }
        public function content(){
            $id = I('get.id',0 ,'int');
            $find = M('yaoshi')->where(array('id'=>$id))->find();
            if (!$find) {
                echo "没找到资源！ -400";
                die;
            }
            $is_rbac = _rbac_btn_show(748,0,$find['ys_uid']);
            if (!$is_rbac) {
                $this->error('异常错误！');
            }
            $imgs = M('photos')->where(array('data_id'=>$id,'data_table'=>'yaoshi','status'=>1))->select();
            $user = M('yonghu')->where(array('id'=>$find['ys_uid']))->field('ygmingcheng,bumen')->find();
            $useradd = M('yonghu')->where(array('id'=>$find['adduid']))->field('ygmingcheng,bumen')->find();
            $Model = new \Think\Model();
            $sql_log = "select a.*,b.ygmingcheng as q_uid, c.ygmingcheng as adduid FROM 
            (select * from __YAOSHI_LOG__ where ys_id=".$find['id'].") as a join __YONGHU__  as b on a.q_uid=b.id left join __YONGHU__ as c on a.adduid=c.id order by q_time DESC";
            $this->yaoshi_log = $Model->query($sql_log);
            $this->user = $user;
            $this->useradd = $useradd;
            $this->find = $find;
            $this->imgs = $imgs;
            $this->display();
        }
        public function delyaoshi(){
            $id = I('post.id',0 ,'int');
            $uid = M('yaoshi')->where(array('id'=>$id))->getField('ys_uid');
            $is_rbac = _rbac_btn_show(752,0,$uid);
            if (!$is_rbac) {
                $this->error('异常错误！');
            }
            $isok = M('yaoshi')->where(array('id'=>$id))->delete();
            if ($isok) {
                $this->success('删除成功！');
            }else{
                $this->error('删除失败！');
            }
        }
    }
?>